Last Comment Bug 39180 - Don't autocomplete when no exact match
: Don't autocomplete when no exact match
Status: VERIFIED FIXED
: platform-parity
Product: MailNews Core
Classification: Components
Component: Composition (show other bugs)
: Trunk
: x86 Windows 98
P3 normal (vote)
: M16
Assigned To: Jean-Francois Ducarroz
: esther
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-13 07:50 PDT by Jean-Francois Ducarroz
Modified: 2008-07-31 01:22 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Jean-Francois Ducarroz 2000-05-13 07:50:02 PDT
Per Phil comment on the newsgroup,  we should not autocomplete the user input when we don't hava an exact match 
but just display the popup menu with the search result.

Open issue: What should we do if the user press return without having selecting a result?
Comment 1 User image Jean-Francois Ducarroz 2000-05-13 07:52:07 PDT
implementation comment: I need to rebuilt the counter of matches when parsing the prevResult.
Comment 2 User image Jean-Francois Ducarroz 2000-05-16 17:13:25 PDT
Fix in hand.

The new rule is (will be whne I check it in) that if we have more that one exact match or we have no exact match 
but more than one partial match, we don't auto complete the user input, we just display the popup menu will all the 
matches.
Comment 3 User image Jean-Francois Ducarroz 2000-05-16 17:21:38 PDT
Fixed and checked in.
Comment 4 User image Phil Peterson 2000-05-16 23:05:07 PDT
Thanks JF! :-)
Comment 5 User image Jean-Francois Ducarroz 2000-05-16 23:12:45 PDT
no problem. Also, I have turned on the popup menu :-)
Comment 6 User image esther 2000-05-23 16:58:20 PDT
When we display matches in a drop down list (following the rule mentioned above) 
shouldn't we do auto complete with what the user selects from the list.  
Currently this isn't happening.  
For (2) exact matches, I get the list with both matches, but when I select one 
from the list it doesn't autocomplete.  (My exact match was on the nicknames, 
but the email addresses were different)
For no exact match but more than (2) parallel matches I get the same result as 
the exact matches.
Why give a list if we can't chose from it.
Waiting for more clarification on the expected results for this fix. 
Comment 7 User image lchiang 2000-05-23 17:20:40 PDT
ducarroz is on vacation - you may want to ask jennifer on the expected behavior.
Comment 8 User image jglick 2000-05-24 12:22:38 PDT
If there is one exact match, should autocomplete on the match. Don't show the 
popup menu list.

If there is more that one exact match or no exact match but more than one 
partial match, don't auto complete from the user input and display the popup 
menu will all the matches.  Once the user makes a selection from the popup menu, 
autocomplete on that item.  

Users should be able to select an item in the popup menu by using the mouse or 
using the keyboard up and down arrows to navigate the list.  Use "Enter" to 
accept a listed menu item. 

If the user hits "Enter" on the keyboard without a match, we should accept what 
they have typed and add the default domain info (like 4.x does).
Comment 9 User image esther 2000-05-24 16:53:55 PDT
Windows only bug now for the remaining part of bug:
This functionality is NOT fixed: " Users should be able to select an item in the 
popup menu by using the mouse.." 

But is fixed for this part: "or using the keyboard up and down arrows to 
navigate the list.  Use "Enter to accept a listed menu item. menu, autocomplete 
on that item."

Reopening and reassigning to putterman for a complete fix, the workaround is of 
using the arrow keys is not obvious.
Comment 10 User image esther 2000-05-24 16:54:28 PDT
reassignin to putterman for review
Comment 11 User image esther 2000-05-24 17:11:31 PDT
Scott, is bug 38461 covering this mouse selecting not working for the Auto 
complete popup menu?  If so, resolve as fixed again and I will verify this one.
Comment 12 User image jglick 2000-05-24 17:22:40 PDT
Also, the drop down menu should appear Directly below the addressing field (not 
off to the side like it currently is).  

And when using the arrows to move up/down in the list, the current selection 
in the list should be highlighted.
Comment 13 User image scottputterman 2000-05-24 17:48:02 PDT
we should open up separate bugs for all of these.  There are more bugs in here 
than just "Don't autocomplete when no exact match" and then we should decide 
which need to have nsbeta2 added to it.

I agree with what jglick said about when we should autocomplete.

Is this bug fixed as to when we should autocomplete?  If it is we should mark 
this fixed and open up new bugs.

It sounds like 38461 might be covering this, but I'm not sure.
Comment 14 User image scottputterman 2000-05-24 17:59:08 PDT
ok, here are the bugs I see in this bug report.

1.  The original
2.  Exact match shouldn't bring up popup (bug 40168)
3.  Mouse can't be used to select popup item (bug 38461)
4.  Drop down should occur below addressing widget, not to the side
5.  Arrow keys should work in popup
6.  Default domain needs to be added when no exact match (do we have a bug for 
this?)
Comment 15 User image scottputterman 2000-05-24 18:13:44 PDT
#4 is 40522
#5 is 40523

Can we mark this as fixed?
Comment 16 User image scottputterman 2000-06-20 22:02:36 PDT
reassigning to ducarroz.  Jean-Francois, given that the other bugs exist, can 
this bug be marked as fixed?
Comment 17 User image Mike 2000-06-21 13:38:34 PDT
M16 has been out for a while now, these bugs target milestones need to be 
updated.
Comment 18 User image Jean-Francois Ducarroz 2000-06-22 16:45:59 PDT
oops, forget to close this bug!

Comment 19 User image esther 2000-06-23 16:31:10 PDT
Using build 2000-06-23 on win98, mac and linux and the original scenario. This 
is fixed.  Also, fixed is the 1st reason this was reopened as stated in comment 
on 5-23-00 @ 16:58 about selecting a name from the match list should 
autocomplete with the selected name.  This is now fixed too.  I will verify.

Note You need to log in before you can comment on or make changes to this bug.